<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.mini.capi.biz.mapper.ErpTransactionFlowMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.mini.capi.biz.domain.ErpTransactionFlow">
        <id column="flow_id" property="flowId" />
        <result column="create_time" property="createTime" />
        <result column="flow_name" property="flowName" />
        <result column="transaction_type" property="transactionType" />
        <result column="amount" property="amount" />
        <result column="transaction_time" property="transactionTime" />
        <result column="account_id" property="accountId" />
        <result column="category_id" property="categoryId" />
        <result column="remark" property="remark" />
        <result column="is_finish" property="isFinish" />
        <result column="update_time" property="updateTime" />
        <result column="f_tenant_id" property="fTenantId" />
        <result column="f_flow_id" property="fFlowId" />
        <result column="f_flow_task_id" property="fFlowTaskId" />
        <result column="f_flow_state" property="fFlowState" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        create_time, flow_id, flow_name, transaction_type, amount, transaction_time, account_id, category_id, remark, is_finish, update_time, f_tenant_id, f_flow_id, f_flow_task_id, f_flow_state
    </sql>

</mapper>
